%define name		x11-driver-video-nouveau
%define upname		xf86-video-nouveau
%define version		0.0.15
%define snapshot	20090926
%define rel		1

%define release %mkrel 0.%{snapshot}.%{rel}

Summary:	The experimental X.org driver for NVIDIA cards
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/X11
License:	MIT
URL:		http://nouveau.freedesktop.org/
# rm -rf xf86-video-nouveau && git clone git://anongit.freedesktop.org/git/nouveau/xf86-video-nouveau/ && cd xf86-video-nouveau/
# git archive --prefix=xf86-video-nouveau-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../xf86-video-nouveau-$(date +%Y%m%d).tar.bz2
Source0:	%{upname}-%{snapshot}.tar.xz
Patch0:		nouveau-store-vbios.patch
Patch1:		dcbconf_7_4_ignore.patch
Patch2:		nouveau-bgnr.patch
Patch3:		nouveau-bicubic-2x.patch
Patch4:		nouveau-multiple-xserver.patch
BuildRequires:	libdrm-devel >= 2.4.12-2
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-server-devel >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	GL-devel
BuildRequires:	kernel-headers
Conflicts:	xorg-x11-server < 7.0
# No DKMS package for now; nouveau module is in main kernel.
# If needed, DKMS package may be resurrected, but work is needed to make it
# build with the new linux-2.6 tree of nouveau.
Obsoletes:	dkms-nouveau < 0.0.13-0.20090600
Requires:	kmod(nouveau)
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
x11-driver-video-nouveau is the experimental X.org driver for NVIDIA cards.

The nouveau kernel module is also required, available in package
dkms-drm-experimental.

%prep
%setup -q -n %{upname}-%{snapshot}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
autoreconf -v --install
%configure2_5x \
	--disable-static \
	--with-kms=yes

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/nouveau_drv.la
%{_libdir}/xorg/modules/drivers/nouveau_drv.so
%{_mandir}/man4/nouveau*


%changelog
* Sat Sep 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.15-0.20090926.1mdv2010.0
+ Revision: 449543
- new snapshot 20090926
- Patch3: xv only use bicubic filtering when scaling >=2x
- Patch4: support multiple xserver instances

* Mon Sep 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.10-0.20090921.2mdv2010.0
+ Revision: 446868
- new snapshot 20090921

* Sun Sep 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.10-0.20090913.2mdv2010.0
+ Revision: 439019
- new snapshot 20090913

* Mon Sep 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.10-0.20090907.2mdv2010.0
+ Revision: 432857
- update to new snapshot 20090907
- add three patches from Fedora

* Sun Aug 09 2009 Anssi Hannula <anssi@mandriva.org> 0.0.10-0.20090809.1mdv2010.0
+ Revision: 412950
- new snapshot

* Sun Aug 02 2009 Anssi Hannula <anssi@mandriva.org> 0.0.10-0.20090803.1mdv2010.0
+ Revision: 407656
- new snapshot
- bump buildrequires on libdrm-devel

* Fri Jul 24 2009 Anssi Hannula <anssi@mandriva.org> 0-0.20090724.1mdv2010.0
+ Revision: 399516
- new snapshot
- bump buildrequires on libdrm-devel
- obsolete dkms-nouveau for now

* Sat May 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0-0.20090530.1mdv2010.0
+ Revision: 381352
- new snapshot

* Mon Mar 02 2009 Anssi Hannula <anssi@mandriva.org> 0-0.20090302.1mdv2009.1
+ Revision: 347411
- new snapshot
- drop format-string.patch, fixed upstream

* Sun Jan 11 2009 Anssi Hannula <anssi@mandriva.org> 0-0.20090111.1mdv2009.1
+ Revision: 328160
- new snapshot
- drop lcd bit patch, fixed upstream
- P0: fix format string

* Fri Sep 12 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080912.1mdv2009.0
+ Revision: 284259
- new snapshot

* Thu Jun 05 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080605.1mdv2009.0
+ Revision: 215170
- new snapshot
- do not force failure on those unknown LVDS bits that have been reported
  already

  + Thierry Vignaud <tvignaud@mandriva.com>
    - improved description
    - add missing dot at end of description

* Fri May 09 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080509.1mdv2009.0
+ Revision: 204767
- new snapshot

* Thu May 01 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080501.1mdv2009.0
+ Revision: 199905
- new snapshot

* Tue Apr 15 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080415.1mdv2009.0
+ Revision: 193605
- new snapshot

* Sat Feb 23 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080223.1mdv2008.1
+ Revision: 174091
- new snapshot

* Tue Feb 05 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080205.1mdv2008.1
+ Revision: 162738
- new snapshot

* Sun Jan 20 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080120.1mdv2008.1
+ Revision: 155158
- new snapshot

* Fri Jan 11 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080111.1mdv2008.1
+ Revision: 148729
- new snapshot

* Wed Jan 02 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080102.1mdv2008.1
+ Revision: 140292
- new snapshot

* Tue Dec 25 2007 Anssi Hannula <anssi@mandriva.org> 0-0.20071224.1mdv2008.1
+ Revision: 137627
- initial Mandriva release

